/**
 * output package name
 */
package com.kingdee.eas.custom.performancenew.app;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class scoreEnum extends StringEnum
{
    public static final String A_VALUE = "1";//alias=A
    public static final String BPLUS_VALUE = "2";//alias=B+
    public static final String B_VALUE = "3";//alias=B
    public static final String BMINUS_VALUE = "4";//alias=B-
    public static final String C_VALUE = "5";//alias=C
    public static final String D_VALUE = "6";//alias=D

    public static final scoreEnum A = new scoreEnum("A", A_VALUE);
    public static final scoreEnum BPlus = new scoreEnum("BPlus", BPLUS_VALUE);
    public static final scoreEnum B = new scoreEnum("B", B_VALUE);
    public static final scoreEnum BMinus = new scoreEnum("BMinus", BMINUS_VALUE);
    public static final scoreEnum C = new scoreEnum("C", C_VALUE);
    public static final scoreEnum D = new scoreEnum("D", D_VALUE);

    /**
     * construct function
     * @param String scoreEnum
     */
    private scoreEnum(String name, String scoreEnum)
    {
        super(name, scoreEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static scoreEnum getEnum(String scoreEnum)
    {
        return (scoreEnum)getEnum(scoreEnum.class, scoreEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(scoreEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(scoreEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(scoreEnum.class);
    }
}